Welcome!

Welcome to the official BlackBerry Support Community Forums.

This is your resource to discuss support topics with your peers, and learn from each other.

inside custom component

Java Development


Thank you for visiting the BlackBerry Support Community Forums.

BlackBerry will be closing the BlackBerry Support Community Forums Device Forums on April 1st (Developers, see below)

BlackBerry remains committed to providing excellent customer support to our customers. We are delighted to direct you to the CrackBerry Forums, a well-established and thorough support channel, for continued BlackBerry support. Please visit http://forums.crackberry.com or http://crackberry.com/ask. You can also continue to visit BlackBerry Support or the BlackBerry Knowledge Base for official support options available for your BlackBerry Smartphone.

"When we launched CrackBerry.com 10 years ago, we set out to make it a fun and useful destination where BlackBerry Smartphone owners could share their excitement and learn to unleash the full potential of their BlackBerry. A decade later, the CrackBerry community is as active and passionate as ever and I know our knowledgeable members and volunteers will be excited to welcome and assist more BlackBerry owners with their questions."

- Kevin Michaluk, Founder, CrackBerry.com

Developers, for more information about the BlackBerry Developer Community please review Join the Conversation on the BlackBerry Developer Community Forums found on Inside BlackBerry.


Reply
Contributor
Posts: 28
Registered: ‎01-27-2012
My Device: 8900
My Carrier: airtel

Trouble using J2ME polish with BB SDK

Hi,

 

 I am developing a Blackberry application using native api 7.1. I need to use RMSstorage provided by j2me polish. Now, as soon as i give a reference of "enough-j2mepolish-client.jar" library to my project. The project builds fine but on loading it onto the simulator, i get verification error in the cod file.

 

Is it so that we cant use this jar file for native development because we have developed the same application using J2ME where this jar file did not give any such error.

 

Any suggestions?? Looking forward for some help. Thanks in advance.

 

Developer
Posts: 19,636
Registered: ‎07-14-2008
My Device: Not Specified

Re: Trouble using J2ME polish with BB SDK

You should be able to use standard J2ME code in your application.

 

Have you included the jar in the exported cod file?

 

To do this, update your Build Path, in the Order and Export tab, set the checkbox for your jar so that it is included in the built cod. 

Highlighted
Contributor
Posts: 28
Registered: ‎01-27-2012
My Device: 8900
My Carrier: airtel

Re: Trouble using J2ME polish with BB SDK

hi peter_strange,

yes i have included it in the built cod. i am developing native bb application using java and bb api.

Any other thing that i might be missing?? i get "error starting module xxx: module xxx-3 has verification error at 1800 at offset 6098(cod file version 79). this happens when i include the jar file in my project. even if i dont use it.